.left margin
.ifnot hlp
.hl 1 FLAGS 
.x Flags
.endif hlp
.if hlp.i-1;3 FLAGS
.br
.endif hlp
A flag is a character which performs some special action and does not
appear in the final document.  An example of a flag is the ampersand (_&).
It causes the next character to be underlined.  Each flag character can
be defined by the .FLAG command.  This command defines what the character does
and can optionally define which character does it.
.IF HLP
.if RSX
.i5;ADDITIONAL HELP AVAILABLE:
.ts+10,+10,+10,+10,+10,+10,+10
.nj;example	ACCEPT	ALL	BREAK	CAPITALIZE	CONTROL	
ESCAPE	EQUATION	HYPHENATE	INDEX	LOWERCASE	
OVERSTRIKE	SPACE	SPECIAL	SUBINDEX	SUBSTITUTE	
TAB	UNDERLINE	UPPERCASE
.j
.endif RSX
.i-1;4 example
.endif hlp
.p;For example the following
command will redefine the double quotes as the underline flag.
.s.i5;_.FLAGS UNDERLINE "
.s
After issuing this command any character preceeded by double quotes (") will
be underlined.  The ampersand (_&) will then be merely a simple printing
character. The _.NO FLAGS command disables the selected flag character.  It is
then a normal printable character.  If you issue a _.FLAGS command with a
character specified which is already in use as a flag, RUNOFF will reject the
command and give you an error message. 
If you wish to turn off underlining but still recognize the flag you should
use the _.DISABLE UNDERLINING command.
.s.LM +5 
.if hlp.i-6;4 ACCEPT
.endif hlp
.s.tp5.I -5;_.FLAGS ACCEPT [new flag] 
.I -5;_.FL ACCEPT [new flag] 
.p .X FLAGS>ACCEPT 
enables recognition of the underscore (__) to allow printing other 
characters that are reserved to flags.  This is normally enabled, but may 
be disabled by _.NO FLAGS ACCEPT.  The underscore may be replaced by another
character to use for this flag.
.s 
.tp 5 
.i -5;_.NO FLAGS ACCEPT 
.I -5;_.NFL ACCEPT 
.S 
disables recognition of the accept flag, so that it may be used as a normal 
character in the text. 
.if hlp;.i-6;4 ALL
.endif hlp
.s.tp5.i-5;_.FLAGS ALL 
.I -5;_.FL ALL 
.I -5;_.FL 
.p .X FLAGS>ALL 
enables recognition of all flags that have been previously separately enabled.
This is analogous 
to a master switch which turns on all other switches. 
This command only performs a function if it is preceeded by a _.NO FLAGS ALL.
.s 
.tp 4 
.i -5;_.NO FLAGS ALL 
.I -5;_.NFL ALL 
.I -5;_.NFL 
.p .X NO>FLAGS>ALL 
disables recognition of all flags except for the CONTROL flag and the TAB flag.
They can only be enabled again by _.FLAGS ALL. 
.if hlp;.i-6;4 BREAK
.endif hlp
.s.TP 6;.I-5;_.FLAGS BREAK [new flag] 
.I-5;_.FL BREAK [new flag] 
.p .X FLAGS>BREAK 
enables recognition of the break flag (|) or vertical bar.  This flag is used
to mark where a word or expression may be broken.  The expression will only be
broken there if it would otherwise exceed the right margin.  Normally this
flag is not enabled. 
.s.tp4.i-5;_.NO FLAGS BREAK 
.i-5;_.NFL BREAK 
.p .X NO>FLAGS>BREAK 
disables the break flag. 
.if hlp;.i-6;4 CAPITALIZE
.endif hlp
.s.tp10.i-5;_.FLAGS CAPITALIZE [new flag] 
.i-5;_.FL CAPITALIZE [new flag] 
.p .X FLAGS>CAPITALIZE 
enables recognition of the less-than (_<) character to capitalize the entire
word it precedes. It then returns the file to the current case mode. This
special character is usually off and must be typed at the very beginning of
the source text to enable this character. Typing a space  returns the file to
the current case lock. The flag command can be followed by a character to be
used instead of the less-than (_<). (_^_<) may be used as a permanent shift to
upper case only.  (_^_^) will then cancel this mode. 
.S.TP4.I-5;_.NO FLAGS CAPITALIZE 
.I-5;_.NFC 
.p .X NO>FLAGS>CAPITALIZE 
disables recognition of the CAPITALIZE flag (inital setting). 
.if hlp;.i-6;4 CONTROL
.endif hlp
.S.TP5.I -5;_.FLAGS CONTROL [new flag] 
.i -5;_.FL CONTROL [new flag] 
.p .X FLAGS>CONTROL 
allows you to specify a new CONTROL flag.  Normally it is a period (.). 
This is the code which appears at the start of a line to signal a command. 
.s 
.tp 5 
.i -5;_.NO FLAGS CONTROL 
.I -5;_.NFL CONTROL 
.S 
disables recognition of the CONTROL flag.  Once this command has been issued 
you can no longer give any commands including _.FLAGS CONTROL.  So this is 
a non reversable command.
.if hlp;.i-6;4 ESCAPE
.endif hlp
.S.TP10.i -5;_.FLAGS ESCAPE [escape flag] 
.I -5;_.FL ESCAPE 
.p .X FLAGS>ESCAPE 
.S 
enables recognition of the escape sequence flags. This allows you to issue
special control codes (escape sequences) to the printer to perform a variety
of functions.  In addition you must ENABLE ESCAPE to actually output the
control codes. Normally the escape flag is disabled. The escape flag defines a
flag symbol for the escape sequence.  Escape sequences can be defined for the
circumflex (_^), back slash (_\), and an escape character of your choice.  To
define escape sequences you must use _.DEFINE ESCAPE. 
.br;(Not available in DSR)
.s.tp5.i -5;_.NO FLAGS ESCAPE 
.I -5;_.NFL ESCAPE 
.p .X NO>FLAGS>ESCAPE 
disables the recognition of the escape sequence flags.  This is the 
normal default. 
.if hlp;.i-6;4 EQUATION
.endif hlp
.s.tp5.i-5;_.FLAGS EQUATION
.i-5;_.FL EQUATION
.p .X FLAGS>EQUATION
.X EQUATION>FLAGS
enables recognition of the equation formatting flags.
This sets the left and right braces
_{ _} as the flags to use in formatting equations.
.br;(Not available in DSR)
.s.tp5.i-5;_.NO FLAGS EQUATION
.i-5;_.NFL EQUATION
.p .X NO>FLAGS>EQUATION
disables recognition of the equation flags.
.if hlp;.i-6;4 LOWERCASE
.endif hlp
.s.tp5.i-5;_.FLAGS LOWERCASE [new flag]
.i-5;_.FL LOWERCASE [new flag]
.p .X FLAGS>LOWERCASE
enables recognition of the back slash (_\) to shift temporarily to lower case.
This flag is also used to turn off  features such as underlining.
.s.tp5.i-5;_.NO FLAGS LOWERCASE [new flag]
.i-5;_.NFL LOWERCASE [new flag]
.p .X NO>FLAGS>LOWERCASE
disable recognition of the lowercase flag.
.if hlp;.i-6;4 HYPHENATE
.endif hlp
.S.TP9.I -5;_.FLAGS HYPHENATE [new flag] 
.I -5 ;_.FL HYPHENATE [new flag] 
.p .X FLAGS>HYPHENATE 
.x Hyphenation
enables recognition of the equals character (=) to disengage hyphenation for
the word it preceeds, or specify where rno may hyphenate inside a word. 
This special character is initially off and must 
be typed at the beginning of the source file to enable this character. 
The FLAGS HYPHENATE character is used to disengage hyphenation
for words improperly hyphenated by the hyphenation algorithm. 
.S.TP4.I-5;_.NO FLAGS HYPHENATE 
.I-5;_.NFL HYPHENATE
.p .X NO>FLAGS>HYPHENATE 
disables recognition of the HYPHENATE flag (initial setting). 
.if hlp;.i-6;4 INDEX
.endif hlp
.s.tp6.i-5;_.FLAGS INDEX [new flag]
.i-5;_.FL INDEX [new flag]
.p .X FLAGS>INDEX 
.X INDEX>FLAGS
enables recognition of the index flag (_>).  This flag causes the following
word to be automatically indexed.  The word is terminated by either a space,
tab, non expandable space (_#), hyphenate flag (_=), index flag (_>),  or end
of line.  If more than 1 word needs to be part of the index term, the words
may be separated by a quoted space (___ ). 
.s.tp6.i-5;_.NO FLAGS INDEX [new flag]
.i-5;_.NFL INDEX [new flag]
.p .X NO>FLAGS>INDEX 
disables recognition of the index flag.  This is the initial setting.
.if hlp;.i-6;4 OVERSTRIKE
.endif hlp
.s.tp6.i-5;_.FLAGS OVERSTRIKE [new flag]
.i-5;_.FL OVERSTRIKE [new flag]
.p .X FLAGS>OVERSTRIKE 
enables recognition of the overstrike flag (_%).  This flag generates a
backspace so you may overstrike the previous character.  This allows formation
of composite characters to approximate scientific symbols or add diacritical
marks for foreign languages. A different character other than % may be
assigned to this flag. 
.S.TP5.i -5;_.NO FLAGS OVERSTRIKE 
.I -5;_.NFL OVERSTRIKE 
.S 
disables recognition of the overstrike flag.  This is the mode RUNOFF normally 
starts in, so if you wish to use this flag it must be enabled. 
.if hlp;.i-6;4 SPACE
.endif hlp
.S.TP8.i -5;_.FLAGS SPACE [new flag] 
.I -5;_.FL SPACE [new flag] 
.p .X FLAGS>SPACE 
enables recognition of the number (_#) sign as a quoted non expandable space
flag. Every time the _# appears in the text RUNOFF changes it to a space, but
only 1 space even if FILL is enabled.  A different character may be assigned
to this function when it is enabled.  This flag is normally enabled. 
.s.tp5.i -5;_.NO FLAGS SPACE 
.I -5;_.NFL SPACE 
.p .X NO>FLAGS>SPACE 
disables recognition of the space flag.
.if hlp;.i-6;4 SPECIAL
.endif hlp
.s.tp6.i-5;_.FLAGS SPECIAL [flag1][flag2][flag3] . . .
.i-5;_.FL SPECIAL [flag1][flag2][flag3] . . .
.p .X FLAGS>SPECIAL
This sets up a character to trigger an escape sequence.  The flag
is the character desired.  The escape sequence must be defined with
the first character equal to the circumflex (_^).
For example you wish the left square braket ([) to output an escape
sequence for superscripting on most printers. You enter the following commands:
.s.i5;_.FLAGS SPECIAL _<
.i5;_.DEFINE ESCAPE /_^_</  33,"D"
.p
Once this is done, the left square bracket is no longer printable unless
preceeded by the accept flag (__).
More than one flag character may be specied with one command.
This command also turns on processing of
all special flags previously defined.
.br;(Not available in DSR)
.s.tp6.i-5;_.NO FLAGS SPECIAL [flag1][flag2][flag3] . . .
.i-5;_.NFL SPECIAL [flag1][flag2][flag3] . . .
.p .X NO>FLAGS>SPECIAL
This command turns off  special flags.  If the flag had not been previously
defined by a _.FLAGS SPECIAL command Runoff will give you an error message.
If flag characters are omitted, then all special flags are turned off,
until a _.FLAGS SPECIAL command is executed.
.if hlp;.i-6;4 SUBINDEX
.endif hlp
.s.tp6.i-5;_.FLAGS SUBINDEX [new flag]
.i-5;_.FL SUBINDEX [new flag]
.p .X FLAGS>SUBINDEX 
.X INDEX>SUBINDEX
enables recognition of the SUBINDEX flag (_>).  This flag causes the 
text to be subindexed.  This flag is only recognized inside an
_.INDEX command.  Since this flag is not recognized for normal text,
it may be the same character as the index flag.
.s.tp6.i-5;_.NO FLAGS SUBINDEX [new flag]
.i-5;_.NFL SUBINDEX [new flag]
.p .X NO>FLAGS>SUBINDEX 
disables recognition of the SUBINDEX flag.  This is the initial setting.
.if hlp;.i-6;4 SUBSTITUTE
.endif hlp
.s.tp6.i-5;_.FLAGS SUBSTITUTE [new flag] 
.i-5;_.FL SUBSTITUTE 
.p .X FLAGS>SUBSTITUTE 
enables recognition of the dollar sign (_$) as a substitution flag.  The dollar
sign then marks the start of a label which defines a substitution. Eight
substitutes are defined when Runoff begins. These allow you to output the
current date or time as part of the text. 
.TT 13
Assuming the current date and time is
.c; January 17,1983  15:23:51
The substitutions are:
.lm+5.ts 35.nf
.x date
.x time
Symbol	Resulting output
_$_$DATE	17 Jan 83
_$_$TIME	15:23:51
_$_$YEAR	1983
_$_$MONTH	January
_$_$DAY	17
_$_$HOURS	15
_$_$MINUTES	23
_$_$SECONDS	51
.s.fill.lm-5
The pair of dollar signs (_$_$) which denote the permanent substitutions
are both redefined if the substitute flag is redefined.  For example
you redefine the substitute flag to be " then to print the date you
must type: ""DATE.
The permanent substitutins may be typed in either lower or upper case letters.
The following are equaly valid: _$_$DATE _$_$date _$_$DaTe and so on.
.s.tp6.i-5;_.NO FLAGS SUBSTITUTE 
.I-5;_.NFL SUBSTITUTE 
.p .X NO>FLAGS>SUBSTITUTE 
disables recognition of the substitute flag.  This flag is normally 
disabled. 
.if hlp;.i-6;4 TAB
.endif hlp
.bb
.S.TP5.I-5;_.FLAGS TAB [new flag] 
.I-5;_.FL TAB [new flag] 
.p .X FLAGS>TAB 
This enables recognition of the tab flag.  Normally this is enabled
and the tab character serves as the tab flag.  If you wish to define a 
different character for the purpose of tabbing, you may use this command
to do this.  When this is done the tab character will only act as a space.
The new flag may be the tab character, unlike all other flags.
This command is very useful in making RNO compatible with other word 
formatters.  Some users may find this handy because most editors do
not display the tab character.  An explicit character used as a tab
may make forming output in columns easier.
.br;(This is not available in DSR)
.S.TP5.I-5;_.NO FLAGS TAB
.I-5;_.NFL TAB
.p .X NO>FLAGS>TAB 
This disables the tab character and makes it a space instead.
.br;(This is not available in DSR)
.eb
.if hlp;.i-6;4 UNDERLINE
.endif hlp
.S.TP5.I-5;_.FLAGS UNDERLINE [new flag] 
.I-5;_.FL UNDERLINE [new flag] 
.p .X FLAGS>UNDERLINE 
.X UNDERLINE>FLAGS
enables recognition of the underline flag (_&).  This is the default 
so you do not normally have to do this. 
.S.I-5;_.NO FLAGS UNDERLINE [new flag] 
.I-5;_.NFL UNDERLINE [new flag] 
.p .X NO>FLAGS>UNDERLINE 
disables recognition of the underline flag. 
.if hlp;.i-6;4 UPPERCASE
.endif hlp
.S.I -5;_.FLAGS UPPERCASE [new flag] 
.I -5;_.FL UPPERCASE [new flag] 
.p .X FLAGS>UPPERCASE 
enables recognition of the circumflex (_^) to engage upper case shift.  When
this is enabled the _^ will cause the next character to be capitalized, and
_^_^ turns off the lower case lock.  If the circumflex is used extensively in
the text an alternate character may be specified.  This FLAG is normally
enabled when RUNOFF starts. This flag is also used as a function lock. For
example putting a circumflex in front of an ampersand (_^_&) will lock
underlining on to allow underlining lines of text. 
.tp 5 
.s.i -5;_.NO FLAGS UPPERCASE 
.I -5;_.NFL UPPERCASE 
.p .X NO>FLAGS>UPPERCASE 
disables recognition of the UPPERCASE FLAG.  The _^ will then not shift
text to uppercase. 
